/*
 *  puzzlespanel.h
 * 
 *  Author: George Vlahavas (vlahavas~AT~gmail~DOT~com, gapan@zenwalk forums)
 * 
 *  This is just a hacked version of Zenpanel to create a launcher for all
 *  the puzzles in this collection. All credit should be attributed to them.
 * 
 *  Zenpanel authors : 
 * - Vincent Kergonna <vincent.k@orange.fr> 
 * - Jean-Philippe Guillemin <jp.guillemin@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <getopt.h>
#include <dirent.h>
#include <errno.h>
#include <signal.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <strings.h>
#include <sys/utsname.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/resource.h>
#include <sys/wait.h>
#include <gtk/gtk.h>
#include <glib.h> 

#ifdef DEBUG
#define dbg(fmt,args...) fprintf(stderr, fmt , ## args)
#else
#define dbg(fmt,args...) do { } while (0)
#endif

#define VERSION "0.1"

#ifndef _PUZZLEGAMESPATH
#define _PUZZLEGAMESPATH "/usr/share/puzzles/applications"
#endif

#ifndef _BANNER
#define _BANNER "/usr/share/puzzles/banner.png"
#endif
